compact3
javax.management.remote

## Class TargetedNotification

- java.lang.Object
- - javax.management.remote.TargetedNotification

All Implemented Interfaces:
  Serializable

    public class TargetedNotification
    extends Object
    implements Serializable

A (Notification, Listener ID) pair.

This class is used to associate an emitted notification with the listener ID to which it is targeted.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TargetedNotification(Notification notification, Integer listenerID)` Constructs a `TargetedNotification` object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getListenerID()` The ID of the listener to which the notification is targeted.
`Notification` `getNotification()` The emitted notification.
`String` `toString()` Returns a textual representation of this Targeted Notification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TargetedNotification

    public TargetedNotification(Notification notification,
                                Integer listenerID)

Constructs a `TargetedNotification` object. The object contains a pair (Notification, Listener ID). The Listener ID identifies the client listener to which that notification is targeted. The client listener ID is one previously returned by the connector server in response to an `addNotificationListener` request.

Parameters:
  `notification` - Notification emitted from the MBean server.
  `listenerID` - The ID of the listener to which this notification is targeted.
Throws:
  `IllegalArgumentException` - if the listenerID or notification is null.

### Method Detail

#### getNotification

    public Notification getNotification()

The emitted notification.

Returns:
  The notification.

#### getListenerID

    public Integer getListenerID()

The ID of the listener to which the notification is targeted.

Returns:
  The listener ID.

#### toString

    public String toString()

Returns a textual representation of this Targeted Notification.

Overrides:
  `toString` in class `Object`
Returns:
  a String representation of this Targeted Notification.